Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(11)

Issue 2540553002: Implement rich editable line output (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months, 4 weeks ago by David Tseng
Modified:
1 week, 2 days ago
CC:
chromium-reviews, alemate+watch_chromium.org, oshima+watch_chromium.org, aboxhall+watch_chromium.org, nektar+watch_chromium.org, yuzo+watch_chromium.org, je_julie, arv+watch_chromium.org, dtseng+watch_chromium.org, dmazzoni+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Implement rich editable line output Given: - text selection change events (from accessibility) - cvox.EditableTextBase module - Output module ChromeVox can provie rich text feedback for simple structures such as links and headings. Given a previous and current text selection event: 1. handle the case where the selections are on the same node by taking a diff of their text content based on their plain text representation. 2. otherwise, output the line based on the selection's start Limitations - In 2, we use ChromeVox's line hueristic to compute the line (i.e. nodes falling on the same y-coordinate). - bugs with selection (e.g. selections falling on unexpected nodes when moving by character). This support is currently enabled only as a runtime flag one sets via the console: editing.useRichText = true; within a background page context. TEST=EditingTest.RichTextMoveByLine CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:closure_compilation Review-Url: https://codereview.chromium.org/2540553002 Cr-Commit-Position: refs/heads/master@{#472523} Committed: https://chromium.googlesource.com/chromium/src/+/d4685bc5518470a729e001859d325000257e6b77

Patch Set 1 #

Patch Set 2 : More incremental changes #

Patch Set 3 : Update with latest fixes. #

Total comments: 11

Patch Set 4 : Indent. #

Patch Set 5 : Fix plain text line braille. #

Messages

Total messages: 20 (11 generated)
David Tseng
I think this is ready for some feedback. I think we want to go this ...
4 months, 2 weeks ago (2017-01-12 00:34:26 UTC) #4
dmazzoni_ooo_until_may_30
Some comments inline below: > Text movement > prev.anchorObject == cur.anchorObject and > prev.focusObject == ...
4 months, 1 week ago (2017-01-13 18:43:54 UTC) #5
David Tseng
PTAL. Reviving this one. I believe I've worked out at least the highest priority painpoints ...
2 weeks, 4 days ago (2017-05-08 22:19:25 UTC) #7
dmazzoni_ooo_until_may_30
Thanks for doing this, having this around in parallel without shipping it yet will be ...
2 weeks, 3 days ago (2017-05-09 04:49:47 UTC) #8
David Tseng
PTAL. Let's start only with line output and get that working. Test add there. Word ...
2 weeks, 3 days ago (2017-05-09 23:13:50 UTC) #12
David Tseng
https://codereview.chromium.org/2540553002/diff/40001/chrome/browser/resources/chromeos/chromevox/cvox2/background/cursors.js File chrome/browser/resources/chromeos/chromevox/cvox2/background/cursors.js (right): https://codereview.chromium.org/2540553002/diff/40001/chrome/browser/resources/chromeos/chromevox/cvox2/background/cursors.js#newcode412 chrome/browser/resources/chromeos/chromevox/cvox2/background/cursors.js:412: get deepEquivalent() { On 2017/05/09 04:49:46, dmazzoni wrote: > ...
2 weeks, 3 days ago (2017-05-09 23:22:52 UTC) #13
dmazzoni_ooo_until_may_30
lgtm https://codereview.chromium.org/2540553002/diff/40001/chrome/browser/resources/chromeos/chromevox/cvox2/background/cursors.js File chrome/browser/resources/chromeos/chromevox/cvox2/background/cursors.js (right): https://codereview.chromium.org/2540553002/diff/40001/chrome/browser/resources/chromeos/chromevox/cvox2/background/cursors.js#newcode412 chrome/browser/resources/chromeos/chromevox/cvox2/background/cursors.js:412: get deepEquivalent() { On 2017/05/09 23:22:51, David Tseng ...
2 weeks, 2 days ago (2017-05-10 06:02:52 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2540553002/100001
1 week, 2 days ago (2017-05-17 15:55:33 UTC) #17
commit-bot: I haz the power
1 week, 2 days ago (2017-05-17 19:11:48 UTC) #20
Message was sent while issue was closed.
Committed patchset #5 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/d4685bc5518470a729e001859d32...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06